/**
 * Theme Name: Rey Child
 * Theme URI: http://reytheme.com/
 * Description: This is a child theme of Rey.
 * Author: Marius H.
 * Author URI:  https://twitter.com/mariushoria
 * Template: rey
 * Version: 1.0.0
 * License: General Public License
 * License URI: http://www.gnu.org/licenses/gpl.html
 * Text Domain: rey-child
 */

[id]{
scroll-margin-top:140px;
}

@media (max-width:768px){
    [id]{
    scroll-margin-top:90px;
    }
}


:is(.related.products, .upsells.products, .crosssells.products, .rey-extra-products) > h2 {
    margin-top: 80px;
    font-size: 32px !important;
    font-weight: 400 !important;
    text-transform: unset !important;
}

@media(max-width: 768px) {
    :is(.related.products, .upsells.products, .crosssells.products, .rey-extra-products) > h2 {
        margin-top: 80px;
        font-size: 22.5px !important;
        font-weight: 400 !important;
        text-transform: unset !important;
    }
}


.description-block-issues{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:24px;
}

.description-block-issue{
    padding:20px;
    border:1px solid #eee;
}

.description-block-issue h3{
    margin-bottom:10px;
    font-weight: 600;
}

.description-block-issue a{
    display:inline-block;
    margin-top:10px;
    font-weight:600;
}

@media (max-width:768px){
    .description-block-issues{
        grid-template-columns:1fr;
    }
}




/* ======================
BASIC
====================== */

.skladniki-basic-item{
padding:20px;
border:1px solid #eee;
margin-bottom:20px;
}

/* MOBILE */

.skladniki-basic-img{
text-align:center;
margin-bottom:10px;
}

.skladniki-basic-img img{
width:60px;
height:60px;
object-fit:contain;
}

.skladniki-basic-item h3{
text-align:center;
margin-bottom:15px;
}

/* DESKTOP */

@media (min-width:768px){

.skladniki-basic-item{
display:grid;
grid-template-columns:220px 1fr;
align-items:center;
}

.skladniki-basic-img{
grid-column:1;
grid-row:1;
text-align:center;
}

.skladniki-basic-item h3{
grid-column:1;
grid-row:2;
text-align:center;
margin-top:10px;
font-size:22px;
}

.skladniki-basic-item p{
grid-column:2;
grid-row:1 / span 2;
margin-left:30px;
margin-bottom:0;
}

}


/* ======================
GRID BASE
====================== */

.cols-4{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:30px;
}

.cols-3{
display:grid;
grid-template-columns:repeat(3,1fr);
gap:30px;
}

@media (max-width: 768px) {
    .cols-4{
    display:grid;
    grid-template-columns:repeat(1,1fr);
    gap:30px;
    }

    .cols-3{
    display:grid;
    grid-template-columns:repeat(1,1fr);
    gap:30px;
    }
}


/* ======================
V1 HOVER
====================== */

.skladniki-v1-item{
text-align:center;
}

.skladniki-v1-desc{
display:-webkit-box;
-webkit-line-clamp:3;
-webkit-box-orient:vertical;
overflow:hidden;
}

.skladniki-v1-item:hover .skladniki-v1-desc{
-webkit-line-clamp:unset;
}



/* ======================
V2 TOGGLE
====================== */

.skladniki-v2-item{
text-align:center;
}

.skladniki-v2-desc-full{
display:none;
}

.skladniki-v2-item.active .skladniki-v2-desc-full{
display:block;
}

.skladniki-v2-item.active .skladniki-v2-desc-short{
display:none;
}

.skladniki-v2-more{
margin-top:10px;
cursor:pointer;
border:none;
background:none;
}



/* ======================
MODAL
====================== */

.skladniki-modal-item{
text-align:center;
cursor:pointer;
}

@media(max-width:768px) {
    .skladniki-v2-img img {
        width: 100px;
    }
}

.skladniki-modal-window{
display:none;
position:fixed;
inset:0;
background:rgba(0,0,0,.6);
justify-content:center;
align-items:center;
z-index:9999;
}

.skladniki-modal-window.active{
display:flex;
}

.skladniki-modal-inner{
background:#fff;
max-width:600px;
padding:40px;
max-height:80vh;
overflow:auto;
position:relative;
text-align: center;
}

.skladniki-modal-inner div{
    text-align: left;
}

.skladniki-modal-close{
position:absolute;
right:15px;
top:10px;
cursor:pointer;
font-size:22px;
}

.skladniki-modal-open{
margin-top:10px;
border:none;
background:none;
cursor:pointer;
font-size:14px;
text-decoration:underline;
}

/* ZAPYTAJ O PRODUKT FORM */
.rey-stickyAtc .produkt-formularz {
    display: none;
}

.produkt-formularz p {
    margin-bottom: 0;
}

.produkt-formularz {
    font-size: 14px;
}

.produkt-formularz label {
    text-transform: uppercase;
    font-weight: 600;
    font-size: 12px;
}


.produkt-formularz input {
    height: 34px;
    margin-top: 8px;
}

.produkt-formularz input[type="checkbox"] {
height: unset;
}


.produkt-formularz input[type="submit"]{
    font-size: 14px;
    color: #000000;
    background-color: none;
    border: 1px solid #000000;
    padding: 4px 24px;
    text-transform: uppercase;
}

.produkt-formularz input[type="submit"]:hover {
    background-color: #000000;
    color: #ffffff;
}

#newsletter-footer input {
    color: #fff;
    border: 1px solid #fff;
    padding: 9px 50px;
}

#newsletter-footer input:hover {
    background-color: #272727;
}

/* BOTTOM DESCRIPTION */

.rey-taxBottom.--desc {
    margin-top: 160px;
    margin-bottom: 80px
}

.rey-taxBottom.--desc h2 {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 0.6em;
  margin-top: 1em;
}

.rey-taxBottom.--desc h3 {
  font-size: 18px;
  margin-bottom: 0.6em;
  margin-top: 1em;
}

.rey-taxBottom.--desc p {
  line-height: 1.4em;
  margin-bottom: 0.4em;
}

.rey-taxBottom.--desc table {
border-collapse: collapse;
width: 100%;
}

.rey-taxBottom.--desc table th, .rey-taxBottom.--desc table td {
border: 1px solid #e5e5e5;
padding: 8px 12px;
text-align: left;
}